// ---------------------------------------------------------------------------------------------------------------------
// Scene interfaces
// ---------------------------------------------------------------------------------------------------------------------

import { SageSceneBase } from '../scene';

// ---------------------------------------------------------------------------------------------------------------------

/**
 * Represents a constructor for [[SageSceneBase]] instances.
 */
export interface SceneConstructor
{
    new () : SageSceneBase;
} // end SceneConstructor

// ---------------------------------------------------------------------------------------------------------------------
